<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Account.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.models</a> &gt; <span class="el_source">Account.java</span></div><h1>Account.java</h1><pre class="source lang-java linenums">package dev.team3.models;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.stereotype.Component;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

@Component
@Entity
@Table(name = &quot;account&quot;)
@JsonIgnoreProperties({&quot;handler&quot;, &quot;hibernateLazyInitializer&quot;})
public class Account {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = &quot;account_id&quot;)
    private int id;

    private String email;

    @Column(unique = true)
    private String username;

    private String password;

    private double balance;

<span class="fc" id="L32">    @JsonIgnore</span>
    @OneToMany(mappedBy = &quot;account&quot;, cascade = CascadeType.ALL, fetch = FetchType.LAZY)
    private List&lt;Record&gt; records = new ArrayList&lt;&gt;();

<span class="fc" id="L36">    public Account(){</span>

<span class="fc" id="L38">    }</span>

    public int getId() {
<span class="fc" id="L41">        return id;</span>
    }

    public void setId(int id) {
<span class="fc" id="L45">        this.id = id;</span>
<span class="fc" id="L46">    }</span>

    public String getEmail() {
<span class="fc" id="L49">        return email;</span>
    }

    public void setEmail(String email) {
<span class="fc" id="L53">        this.email = email;</span>
<span class="fc" id="L54">    }</span>

    public String getUsername() {
<span class="fc" id="L57">        return username;</span>
    }

    public void setUsername(String username) {
<span class="fc" id="L61">        this.username = username;</span>
<span class="fc" id="L62">    }</span>

    public String getPassword() {
<span class="fc" id="L65">        return password;</span>
    }

    public void setPassword(String password) {
<span class="fc" id="L69">        this.password = password;</span>
<span class="fc" id="L70">    }</span>

    public double getBalance() {
<span class="fc" id="L73">        return balance;</span>
    }

    public void setBalance(double balance) {
<span class="fc" id="L77">        this.balance = balance;</span>
<span class="fc" id="L78">    }</span>

    public List&lt;Record&gt; getRecords() {
<span class="nc" id="L81">        return records;</span>
    }

    public void setRecords(List&lt;Record&gt; records) {
<span class="nc" id="L85">        this.records = records;</span>
<span class="nc" id="L86">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="nc bnc" id="L90" title="All 2 branches missed.">        if (this == o) return true;</span>
<span class="nc bnc" id="L91" title="All 4 branches missed.">        if (o == null || getClass() != o.getClass()) return false;</span>
<span class="nc" id="L92">        Account account = (Account) o;</span>
<span class="nc bnc" id="L93" title="All 12 branches missed.">        return id == account.id &amp;&amp; Double.compare(account.balance, balance) == 0 &amp;&amp; Objects.equals(email, account.email) &amp;&amp; Objects.equals(username, account.username) &amp;&amp; Objects.equals(password, account.password) &amp;&amp; Objects.equals(records, account.records);</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L98">        return Objects.hash(id, email, username, password, balance, records);</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L103">        return &quot;Account{&quot; +</span>
                &quot;id=&quot; + id +
                &quot;, email='&quot; + email + '\'' +
                &quot;, username='&quot; + username + '\'' +
                &quot;, password='&quot; + password + '\'' +
                &quot;, balance=&quot; + balance +
                &quot;, records=&quot; + records +
                '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>